.journal-header-container {
  display: flex;
  position: relative;
  align-items: center;
  width: 100%;
  height: 100vh;
}

.journal-header--image {
  position: absolute;
  object-fit: cover;
  width: 100%;
  height: 100%;
  filter: brightness(0.8);
}

.journal-header--details-container {
  color: var(--white);
  width: 100%;
  z-index: 1;
  opacity: 1;
  transition: opacity 1s;
  transition-delay: 1s;
}

.journal-header--details-container .grid-container {
  justify-items: center;
  gap: 24px;
}

.journal-header--title {
  grid-column: span 12;
  margin: 0;
  padding: 0;
}

.journal-header--intro {
  grid-column: span 12;
  text-align: center;
  text-transform: initial;
  margin: 0;
  padding: 0;
}

.journal-header--scroll-icon {
  position: absolute;
  bottom: 104px;
  left: 50%;
  transform: translateX(-50%);
}


.post-type-archive-journal main {
  background-color: var(--background-grey-2);
  padding-bottom: 60px;
  position: relative;
  width: 100%;
  min-height: 100vh;
}

.journal-grid-and-filter-container {
  display: flex;
  width: 100%;
}

.journal-filter-container {
  grid-column: span 12;
}

.journal-filter-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  gap: 12px 40px;
  list-style: none;
  margin: 32px 0px;
  padding: 0;
}

.journal-filter-list li.active {
    color: var(--black);
    font-weight: 500;
  }

.journal-grid-container {
  display: grid;
  grid-column: span 12;
  grid-template-columns: 1fr;
  column-gap: 12px;
  row-gap: 24px;
}

.journal-article-block-container {
  border-bottom: 1px solid var(--grey-300);
  display: flex;
  flex-direction: column;
  justify-content: end;
  overflow: hidden;
  padding-bottom: 20px;
}

.journal-artcile-block--category {
  margin: 0 0 8px 0;
  padding: 0;
  opacity: 1;
  transition: opacity 1s;
  transition-delay: 1s;
}

.journal-article-block--title {
  margin: 0 0 12px 0;
  padding: 0;
  text-transform: initial;
  opacity: 1;
  transition: opacity 1s;
  transition-delay: 1s;
}

.journal-article-block--intro-text {
  margin: 0 0 12px 0;
  padding: 0;
  opacity: 1;
  transition: opacity 1s;
  transition-delay: 1s;
}

.journal-article-image-container {
  background-color: var(--background-grey-2);
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  color: white;
  text-decoration: none;
  overflow: hidden;

  transition: all 0.5s;
}

.journal-article-image {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 2;
}

.journal-article-title {
  display: none;
}

.slideoutHide {
  opacity: 0;
  transition: opacity 0.5s;
}

/* Adding the styles from the tablet to mobile for the grid layout */
.journal-grid-container {
  grid-column: span 12;
  grid-template-columns: 1fr 1fr;
  gap: 12px;
}

.journal-article-block-container {
  border: none;
  padding: initial;
}

.journal-artcile-block--category {
  /* margin: 0 0 8px 0;
  padding: 0; */
  display: none;
}

.journal-article-block--title {
  /* margin: 0 0 16px 0;
  padding: 0;
  text-transform: initial; */
  display: none;
}

.journal-article-block--intro-text {
  /* margin: 0 0 12px 0;
  padding: 0; */
  display: none;
}

.journal-article-image {
  aspect-ratio: 1;
}

.journal-article-image-container {
  background-color: #000000;
}

.journal-article-image-container .journal-article-image {
  opacity: 0.6;
}

.journal-article-title {
  display: block;
  padding: 12px;
  text-align: center;
  opacity: 1;
  position: absolute;
  width: 100%;
  z-index: 1;
}  

@media screen and (min-width: 390px) {
  .journal-filter-list {
    gap: 12px 16px;
  }
}

@media screen and (min-width: 768px) {
  .journal-header--details-container .grid-container {
    justify-items: start;
  }

  .journal-header--title {
    grid-column: span 2;
  }

  .journal-header--intro {
    grid-column: span 10;
    text-align: left;
  }
}

@media screen and (min-width: 1024px) {
  .journal-grid-container {
    grid-template-columns: 1fr 1fr 1fr;
  }
}


@media screen and (min-width: 1280px) {
  .post-type-archive-journal main {
    padding: 60px 0;
  }

  .journal-grid-and-filter-container .grid-container {
    align-items: start;
  }

  .journal-header--title {
    grid-column: span 3;
  }

  .journal-header--intro {
    grid-column: span 6;
  }

  .journal-filter-container {
    display: flex;
    flex-direction: column;
    grid-column: span 2;
    position: sticky;
    top: 60px;
  }

  .journal-filter-list {
    display: flex;
    flex-direction: column;
    justify-content: left;
    gap: 12px;
    list-style: none;
    margin: 0;
    padding: 0;
  }

  .journal-filter-list li {
    color: var(--Grey-600, #666);
    text-decoration: none;
  }

  .journal-filter-list li.active {
    color: var(--black);
    font-weight: 500;
  }

  .journal-grid-container {
    grid-template-columns: 1fr 1fr 1fr;
    grid-column: span 10;
    gap: 12px;
  }

  .journal-article-block-container {
    border: none;
    padding: initial;
  }

  .journal-artcile-block--category {
    display: none;
  }

  .journal-article-block--title {
    display: none;
  }

  .journal-article-block--intro-text {
    display: none;
  }

  .journal-article-image {
    aspect-ratio: 1;
    opacity: 1;
    transition: all 0.5s;
  }

  .journal-article-image-container {
    background-color: transparent;
  }

  .journal-article-image-container:hover {
    background-color: #000000;
    transition: all 0.5s;
  }

  .journal-article-image-container .journal-article-image {
    opacity: 1;
  }

  .journal-article-image-container:hover .journal-article-image {
    opacity: 0.6;
    transform: scale(1.1);
    transition: all 0.5s;
  }

  .journal-article-title {
    display: block;
    padding: 12px;
    text-align: center;
    opacity: 0;
    position: absolute;
    width: 100%;
    z-index: 1;
    transition: opacity 0.5s;
  }

  .journal-article-image-container:hover .journal-article-title {
    opacity: 1;
  }
}

@media screen and (min-width: 1440px) {
  .journal-grid-and-filter-container .grid-container {
    align-items: start;
  }

  .journal-header--title {
    grid-column: span 3;
  }

  .journal-header--intro {
    grid-column: span 6;
  }

  .journal-filter-container {
    display: flex;
    flex-direction: column;
    grid-column: span 2;
    position: sticky;
    top: 60px;
  }

  .journal-filter-list {
    display: flex;
    flex-direction: column;
    justify-content: left;
    gap: 12px;
    list-style: none;
    margin: 0;
    padding: 0;
  }

  .journal-filter-list li {
    color: var(--Grey-600, #666);
    text-decoration: none;
  }

  .journal-filter-list li.active {
    color: var(--black);
    font-weight: 500;
  }

  .journal-grid-container {
    grid-template-columns: 1fr 1fr 1fr;
    grid-column: span 10;
    gap: 12px;
  }

  .journal-artcile-block--category {
    display: none;
  }

  .journal-article-block--title {
    display: none;
  }

  .journal-article-block--intro-text {
    display: none;
  }

  .journal-article-image {
    opacity: 1;
    transform: scale(1);
    transition: all 0.5s;
  }

  /* .journal-article-image-container:hover .journal-article-image {
  } */

  .journal-article-title {
    width: 100%;
    padding: 12px;
    text-align: center;
    opacity: 0;
    z-index: 1;
    transition: opacity 0.5s;
  }

  .journal-article-image-container:hover .journal-article-title {
    opacity: 1;
  }
}